Groovy Documentation

## groovy.util
[Groovy] Class OptionAccessor

    java.lang.Object
      groovy.util.OptionAccessor

    class OptionAccessor
    extends java.lang.Object

Property Summary
`org.apache.commons.cli.CommandLine` | `inner`

Constructor Summary
`OptionAccessor(org.apache.commons.cli.CommandLine inner)`

Method Summary
`java.util.List` | `arguments()`
`java.lang.Object` | `getProperty(java.lang.String name)`
`java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### inner

    org.apache.commons.cli.CommandLine inner

Constructor Detail

### OptionAccessor

    OptionAccessor(org.apache.commons.cli.CommandLine inner)

Method Detail

### arguments

    java.util.List arguments()

### getProperty

    java.lang.Object getProperty(java.lang.String name)

### invokeMethod

    java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)

Groovy Documentation